Errors with protonvpn

Hello,

I have been using protonvpn for 3 years. I have never had any problems.

I installed Manjaro XFCE on my new computer and I can’t get protonvpn to work for which I have a premium account.

When I run the protonvpn c or protonvpn init command, I get the errors:
Glib-GIO-CRITICAL **: This application can not open files.

I don’t know Glib-GIO which normally comes from Gnome.

Do you have any idea how to solve this problem?

Thank you.

To use the GUI open it from the application launcher.

If you run it from command line use

protonvpn-cli connect

I’ve tried, but I’ve many errors:

[bruno][bruno][~]
└─▪ protonvpn-cli c
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/keyring/linuxkeyring.py", line 21, in __getitem__
    stored_data = self.__keyring_backend.get_password(
  File "/usr/lib/python3.9/site-packages/keyring/backends/SecretService.py", line 78, in get_password
    collection = self.get_preferred_collection()
  File "/usr/lib/python3.9/site-packages/keyring/backends/SecretService.py", line 61, in get_preferred_collection
    collection = secretstorage.get_default_collection(bus)
  File "/usr/lib/python3.9/site-packages/secretstorage/collection.py", line 161, in get_default_collection
    return Collection(connection)
  File "/usr/lib/python3.9/site-packages/secretstorage/collection.py", line 44, in __init__
    self._collection.get_property('Label')
  File "/usr/lib/python3.9/site-packages/secretstorage/util.py", line 64, in get_property
    (signature, value), = self.send_and_get_reply(msg)
  File "/usr/lib/python3.9/site-packages/secretstorage/util.py", line 46, in send_and_get_reply
    return self._connection.send_and_get_reply(msg, unwrap=True)
  File "/usr/lib/python3.9/site-packages/jeepney/io/blocking.py", line 190, in send_and_get_reply
    return unwrap_msg(msg_in)
  File "/usr/lib/python3.9/site-packages/jeepney/wrappers.py", line 214, in unwrap_msg
    raise DBusErrorResponse(msg)
jeepney.wrappers.DBusErrorResponse: [org.freedesktop.DBus.Error.UnknownObject] ("No such object path '/org/freedesktop/secrets/aliases/default'",)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/protonvpn-cli", line 33, in <module>
    sys.exit(load_entry_point('protonvpn-cli==3.11.0', 'console_scripts', 'protonvpn-cli')())
  File "/usr/lib/python3.9/site-packages/protonvpn_cli/main.py", line 21, in main
    ProtonVPNCLI()
  File "/usr/lib/python3.9/site-packages/protonvpn_cli/cli.py", line 65, in __init__
    res = getattr(self, args.command)()
  File "/usr/lib/python3.9/site-packages/protonvpn_cli/cli.py", line 71, in c
    return self.connect()
  File "/usr/lib/python3.9/site-packages/protonvpn_cli/cli.py", line 133, in connect
    return self.cli_wrapper.connect(args)
  File "/usr/lib/python3.9/site-packages/protonvpn_cli/cli_wrapper.py", line 186, in connect
    if not self.protonvpn.check_session_exists():
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/api.py", line 344, in check_session_exists
    return self._env.api_session.is_valid
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/environment.py", line 55, in api_session
    self.__api_session = APISession()
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/session/session.py", line 223, in __init__
    self.__keyring_load_session()
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/session/session.py", line 251, in __keyring_load_session
    keyring_data_user = ExecutionEnvironment().keyring[
  File "/usr/lib/python3.9/site-packages/protonvpn_nm_lib/core/keyring/linuxkeyring.py", line 32, in __getitem__
    raise exceptions.KeyringError(e)
protonvpn_nm_lib.exceptions.KeyringError: [org.freedesktop.DBus.Error.UnknownObject] ("No such object path '/org/freedesktop/secrets/aliases/default'",)

ProtonVPN requires gnome-keyring or kdewallet to work. Just install one and try again.

1 Like

Thank you very much.

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.